use warnings;
use strict;

package HTTP::Server::VirtualHost::LocalHost;
use base 'HTTP::Server::VirtualHost';

use Log::Report 'httpd-multiplex', syntax => 'SHORT';

=chapter NAME
HTTP::Server::VirtualHost::LocalHost - default virtual host

=chapter SYNOPSIS

=chapter DESCRIPTION
This default virtual host is created automatically when no virtual host
has been registered when the daemon starts.  The fun is that everyone is
able to contact it with C<< http://localhost:8080 >> (or what-ever your
run-port is) without further configuration.

=chapter METHODS

=section Constructors

=c_method new OPTIONS|HASH-of-OPTIONS
=default  name    'localhost'
=cut

sub init($)
{   my ($self, $args) = @_;

    $args->{name} ||= 'localhost';
    $self->SUPER::init($args);
}

# probably, more code will need to be added later

1;
